import org.apache.commons.io.comparator.DefaultFileComparator;
import java.io.File;
import java.util.List;
import java.util.ArrayList;
import java.util.Collections;

public class Example {

	private static DefaultFileComparator dfc = new DefaultFileComparator();

	public static void main(String [] args) {

		System.out.println("Three input directories:");
		File dir1 = new File("X:\\testdir\\src\\");
		File [] ff1 = dir1.listFiles();
		printArrayContents(ff1);
		
		File dir2 = new File("X:\\testdir\\classes\\");
		File [] ff2 = dir2.listFiles();
		printArrayContents(ff2);
		
		File dir3 = new File("X:\\testdir\\deploy\\");
		File [] ff3 = dir3.listFiles();
		printArrayContents(ff3);
		
		// add all dir files to a list
		
		List<File> fileList = new ArrayList<>();
		Collections.addAll(fileList, ff1);
		Collections.addAll(fileList, ff2);
		Collections.addAll(fileList, ff3);
		
		// make a copy to an array
		
		System.out.println("All files before sort:");		
		File [] fileArray = new File [fileList.size()];
		int i = 0;
		
		for (File file : fileList) {
		
			System.out.println(file);
			fileArray [i++] = file;
		}
		
		System.out.println("");
		
		// sort the array
		System.out.println("Array sorted:");
		fileArray = dfc.sort(fileArray);
		printArrayContents(fileArray);
			
		// sort the list
		System.out.println("List sorted:");
		fileList = dfc.sort(fileList);
		printListContents(fileList);
	}

	private static void printArrayContents(File [] files) {
		
		for (File file : files) {
		
			System.out.println(file);
		}
		
		System.out.println("");
	}
	private static void printListContents(List<File> files) {
		
		for (File file : files) {
		
			System.out.println(file);
		}
	}
}